com.rs.xbrl

## Class InstructionsFactoryImpl

- java.lang.Object
- - com.rs.xbrl.InstructionsFactoryImpl

- All Implemented Interfaces:
    ProviderLibrary

      public class InstructionsFactoryImpl
      extends java.lang.Object
      implements ProviderLibrary

  The Class InstructionsFactoryImpl.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROVIDER_NAME` The Constant PROVIDER_NAME.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstructionsFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Instruction` | `getInstruction(java.lang.String name)` Returns an instance of the instruction to be executed or null if the provider library does not supports the instruction identified by name.
    `java.lang.String` | `getProviderName()` Returns a name associated with the package of instructions.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_NAME

          public static final java.lang.String PROVIDER_NAME

      The Constant PROVIDER_NAME.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InstructionsFactoryImpl

          public InstructionsFactoryImpl()

  - ### Method Detail

    - #### getProviderName

          public java.lang.String getProviderName()

      Description copied from interface: `ProviderLibrary`
      Returns a name associated with the package of instructions.
      Specified by:
        `getProviderName` in interface `ProviderLibrary`
      Returns:
        the provider name

    - #### getInstruction

          public Instruction getInstruction(java.lang.String name)
                                     throws TaxonomyBuilderException

      Description copied from interface: `ProviderLibrary`
      Returns an instance of the instruction to be executed or null if the provider library does not supports the instruction identified by name.
      Specified by:
        `getInstruction` in interface `ProviderLibrary`
      Parameters:
        `name` - the instruction name
      Returns:
        Instruction instance just created to be used once and destroyed
      Throws:
        `TaxonomyBuilderException` - In case of exceptions creating the Instruction instance